import { WebpackPluginInstance, Compiler, Compilation } from 'webpack';
import { Manifest } from './manifest';
export { Manifest };
export declare class WebpackLaravelMixManifest implements WebpackPluginInstance {
    /**
     * Laravel framework `mix` helper filename,
     * By default `mix-manifest.json`.
     */
    readonly endpoint: string;
    /**
     * Create the webpack plugin.
     * @param endpoint Laravel `mix` helper used filename.
     */
    constructor(
    /**
     * Laravel framework `mix` helper filename,
     * By default `mix-manifest.json`.
     */
    endpoint?: string);
    get compilationHookTap(): {
        name: string;
        stage: number;
    };
    /**
     * Webpack plugin entry.
     * @param compiler webpack compiler
     */
    apply(compiler: Compiler): void;
    hookTapFn(compilation: Compilation): void;
    /**
     * Create a manifest instance.
     */
    createManifest(): Manifest;
}
